/* このファイルは編集用です。変更を適用させる時はMinify化して.min.jsへ適用させること */
/* https://www.toptal.com/developers/javascript-minifier */

jQuery(document).ready(function($) {
	$(".transform").blur(function(){
		charChange($(this));
	});

	charChange = function(e){
		const val = e.val();
		const str = val.replace(/[Ａ-Ｚａ-ｚ０-９]/g,function(s){return String.fromCharCode(s.charCodeAt(0)-0xFEE0)});

		if(val.match(/[Ａ-Ｚａ-ｚ０-９]/g)){
			$(e).val(str);
		}
	}
});
